/*

  Bluetooth Wireless Module HC-05 (4 Pins)

  Parts required:
  - Arduino Board
  - Bluetooth Wireless Module HC-05 (4 Pins)

  Software required:
  - BT Terminal (AppStore)
  - BT Terminal (Play Store)

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 11 Okt 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

int tx = 0;                               // set tx to 0
int rx = 1;                               // set rx to 1
char junk;                                // set junk as nothing
String inputString = "";                  // set inputString to ""

void setup() {
  Serial.begin(9600);                     // start serial communication
  pinMode(13, OUTPUT);                    // set pin 13 to OUTPUT
  pinMode(tx, OUTPUT);                    // set tx to OUTPUT
  pinMode(rx, INPUT);                     // set rx to INPUT
}

void loop() {
  if (Serial.available()) {                
    while (Serial.available()) {          
      char inChar = (char)Serial.read();  // set inChar to char and read serial and store in inChar
      inputString += inChar;              // add inChar to inputString 
    }
    Serial.println(inputString);          // send inputString to serial monitor
    while (Serial.available() > 0) {      
      junk = Serial.read();               // read the serial and store in junk
    }
    if (inputString == "a") {             // if inputString = "a" do
      digitalWrite(13, HIGH);             // turn on LED on pin 13 
    }
    else if (inputString == "b") {        // if inputString = "b" do
      digitalWrite(13, LOW);              // turn off LED on pin 13
    }
    inputString = "";                     // set inputString to ""
  }
}
